#ifndef _FILE_TRANSFER_LV_ITEM_H
#define _FILE_TRANSFER_LV_ITEM_H

#include "file_transfer.h"
#include "util.h"
#include "dc_parse.h"
#include <qlistview.h>

class file_transfer_lv_item : public QListViewItem, public file_transfer
{
public:
	file_transfer_lv_item(QListView* parent, int id, const QString &u, const QString &f, const QString &s)
		: QListViewItem(parent, u, f, s), file_transfer(id, u, f, s)
	{
		dc_parse p(f, '/');
		setText(2, bytes_to_units(s));
		setText(1, p.get_str(p.num_strs() -1));
	}

public:
	void update_data();
};

#endif
