#ifndef _SEARCH_DLG_H
#define _SEARCH_DLG_H

#include <qdialog.h>

class QComboBox;
class QLineEdit;
class QPushButton;
class QGridLayout;

class search_dlg : public QDialog
{
	Q_OBJECT
	
public:
	search_dlg(QWidget *parent = 0, const char *name = 0);

	QString get_search_pattern() const;
	int get_search_type() const;

private:
	QComboBox* search_type;
	QLineEdit* search_str;
	QPushButton *ok, *cancel;
	QGridLayout *layout;
};

#endif
