#ifndef USER_LV_H
#define USER_LV_H

#include <qlistview.h>

class QPopupMenu;

class user_lv : public QListView
{
	Q_OBJECT
	
public:
	user_lv(QWidget* parent, const char *name);

	void setup_columns();

signals:
	void get_user_list(const QString&);

private slots:
	void show_menu(QListViewItem *, const QPoint &, int);
	void hide_menu();
	void menu_clicked(int);

private:

	QPopupMenu *menu;
	QListViewItem *last_clicked;
};

#endif
